import { Router } from 'express';
import * as geometryTypeController from '../controllers/geometryTypeController.js';

const router = Router();

router.get('/', geometryTypeController.getAllnames);
router.post('/restore', geometryTypeController.restoreDefaults);
router.post('/', geometryTypeController.createType);
router.put('/:id', geometryTypeController.updateType);
router.delete('/:id', geometryTypeController.deleteType);

export default router;